org.jgroups.demos

## Class KeyStoreGenerator

- java.lang.Object
- - org.jgroups.demos.KeyStoreGenerator

    public class KeyStoreGenerator
    extends java.lang.Object

Generates a keystore file that has a SecretKey in it. It is not possible to use the keytool JDk tool to achieve this. This is a simple way to generate a JCEKS format keystore and SecretKey. Usage is --alg ALGNAME --size ALGSIZE --storeName FILENAME --storePass PASSWORD --alias KEYALIAS Any of args are optional and will default to

- ALGNAME = Blowfish
- ALGSIZE = 56
- FILENAME = defaultStore.keystore
- PASSWORD = changeit
- ALIAS = mykey

Author:
  S Woodcock

### Constructor Summary

Constructors
Constructor and Description
`KeyStoreGenerator()`

### Method Summary

Methods
`static javax.crypto.SecretKey` `initSymKey()`
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KeyStoreGenerator

    public KeyStoreGenerator()

### Method Detail

#### main

    public static void main(java.lang.String[] args)

#### initSymKey

    public static javax.crypto.SecretKey initSymKey()
                                             throws java.lang.Exception

Throws:
  `java.lang.Exception`